Bug 767974 - [eap6] re-deployment of war fails
[eap6] re-deployment of war fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
: 708328 (view as bug list)
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-12-15 07:16 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2011-12-15 07:16:11 EST
Description of problem:


Version-Release number of selected component (if applicable):
Version: 4.3.0-SNAPSHOT
Build Number: e8db9a1

How reproducible: always


Steps to Reproduce:
1. have rhq with eap6 standalone(dr8) imported
2. create deployment child (hello.war)
3. assert deployment is up on eap6 and present in rhq UI
4. modify hello.war
5. repeat step 2 with modified hello.war

Actual results: modified war from step 4 is not deployed, here is what eap6 log says:

ERROR [org.jboss.as.controller] (HttpManagementService-threads - 601) JBAS014612: Operation ("add") failed - address: ([{"deployment" => "hello.war"}]): java.lang.IllegalStateException: JBAS014666: Duplicate resource [("deployment" => "hello.war")]



Expected results: hello.war is successfully redeployed


Additional info:
Comment 1 Heiko W. Rupp 2012-01-27 12:02:01 EST
This does now work for standalone and domain mode.

Still this needs more work as the "deployment" type needs to be better specified for server-group and managed server level
* you don't want to upload content to individual managed servers
* the server-group has no notion of the "hash" 
* different server groups may want to run different apps with the same runtime name
Comment 2 Heiko W. Rupp 2012-02-13 09:26:30 EST
*** Bug 708328 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2012-04-12 05:04:40 EDT
Putting this on QA, as the main functionality is there.
The additional things from comment 1 are now submitted as Bug 811892
Comment 4 Heiko W. Rupp 2013-09-02 03:24:46 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.